Heartbleed Havoc: 10 Passwords You Need To Change Right Now


Android Smartphones

Google said the latest Android hardware that supports Android version 4.4 KitKat is immune to the vulnerability. However, users of Android 4.1.1 Jellybean are impacted, Google said. The company has distributed patching instructions to Android partners, so users should keep an eye out for a firmware update from their carrier.



Next Page